Subject: Storage of C++ objects in Postgres

From: [email-masked]
Date: Mon, 29 Jul 91 16:05:25 CDT

Has anyone done any work in saving objects created by a C++ program
(including all the methods for each one) into Postgres? What I would
really like to find out right now is if it is in the realm of
possibility to write an interface to Postgres to provide persistent
storage of C++ objects.  Not being much of a C++ (or Postgres) guru I'm
not really sure how (or if) it can be done. 

A simple example of this would be if you defined a class called counter
which had methods for incrementing and decrementing. Now, could I write
an application that creates an instance of this class and stores it in
postgres then have another application retrieve that instance,
increment it and put it back. Is this possible? Thanks for any help
that comes my way.

dave mattox
[email-masked]